- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_elementsw_access_group – NetApp Element Software Manage Access Groups

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Create, destroy, or update access groups on Element Software Cluster.

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1

- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
account_id - added in 2.8 |  | Account ID for the owner of this volume. It accepts either account_name or account_id if account_id is digit, it will consider as account_id If account_id is string, it will consider as account_name
attributes - |  | List of Name/Value pairs in JSON object format.
from_name - added in 2.8 |  | ID or Name of the access group to rename. Required to create a new access group called 'name' by renaming 'from_name'.
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
initiators - |  | List of initiators to include in the access group. If unspecified, the access group will start out without configured initiators.
name - / required |  | Name for the access group for create, modify and delete operations. aliases: src_access_group_id
password - / required |  | Password for the specified user. aliases: pass
state - / required | Choices: present absent | Whether the specified access group should exist or not.
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user
virtual_network_id - |  | The ID of the Element SW Software Cluster Virtual Network ID to associate the access group with.
virtual_network_tags - |  | The ID of the VLAN Virtual Network Tag to associate the access group with.
volumes - |  | List of volumes to initially include in the volume access group. If unspecified, the access group will start without any volumes. It accepts either volume_name or volume_id

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Create Access Group
      na_elementsw_access_group:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        name: AnsibleAccessGroup
        volumes: [7,8]
        account_id: 1

    - name: Modify Access Group
      na_elementsw_access_group:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        name: AnsibleAccessGroup-Renamed
        account_id: 1
        attributes: {"volumes": [1,2,3], "virtual_network_id": 12345}

    - name: Rename Access Group
      na_elementsw_access_group:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        from_name: AnsibleAccessGroup
        name: AnsibleAccessGroup-Renamed

    - name: Delete Access Group
      na_elementsw_access_group:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: absent
        name: 1

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.